Groovy 1.7.10

## org.codehaus.groovy.antlr
[Java] Interface SourceInfo

    public interface SourceInfo

Method Summary
`int` | `getColumn()` get starting column
`int` | `getColumnLast()` get ending column
`int` | `getLine()` get start line
`int` | `getLineLast()` get ending line
`void` | `setColumn(int c)` set start column
`void` | `setColumnLast(int colLast)` set ending column
`void` | `setLine(int l)` set start line
`void` | `setLineLast(int lineLast)` set ending line

Method Detail

### getColumn

    public int getColumn()

  get starting column
  Returns:
    the starting column

### getColumnLast

    public int getColumnLast()

  get ending column
  Returns:
    the ending column

### getLine

    public int getLine()

  get start line
  Returns:
    the starting line

### getLineLast

    public int getLineLast()

  get ending line
  Returns:
    the ending line

### setColumn

    public void setColumn(int c)

  set start column
  Parameters:
    `c` - the column

### setColumnLast

    public void setColumnLast(int colLast)

  set ending column
  Parameters:
    `colLast` - the column

### setLine

    public void setLine(int l)

  set start line
  Parameters:
    `l` - the line

### setLineLast

    public void setLineLast(int lineLast)

  set ending line
  Parameters:
    `lineLast` - the line

Copyright © 2003-2010 The Codehaus. All rights reserved.